<template>
  <div class="logLog_box">
    <My-bread
      :list="[
        `${$t('operatManage.operatManage')}`,
        `${$t('operatManage.logLog')}`,
      ]"
    ></My-bread>
    <el-divider />
    <div class="inquire">
      <el-form ref="formData1" :model="form" :inline="true">
        <!-- 用户名 -->
        <el-form-item :label="$t('common.username')" prop="name">
          <el-input
            style="width: 300px"
            v-model="form.name"
            :placeholder="$t('common.pleaseInput')"
          />
        </el-form-item>
        <!-- 所属系统 -->
        <el-form-item :label="$t('loglog.systematic')" prop="region">
          <el-select v-model="form.region" :placeholder="$t('common.choose')">
            <el-option label="Zone one" value="shanghai" />
            <el-option label="Zone two" value="beijing" />
          </el-select>
        </el-form-item>
        <!-- 操作时间 -->
        <el-form-item :label="$t('loglog.operationtime')">
          <el-col :span="11">
            <el-date-picker
              type="date"
              :placeholder="$t('common.selectdate')"
              v-model="form.date1"
              style="width: 100%"
            ></el-date-picker>
          </el-col>
          <el-col class="line text-center" :span="2">-</el-col>
          <el-col :span="11">
            <el-date-picker
              type="date"
              :placeholder="$t('common.selectdate')"
              v-model="form.date2"
              style="width: 100%"
            ></el-date-picker>
          </el-col>
        </el-form-item>
        <!-- 查询 清空 -->
        <el-form-item>
          <el-button @click="onSubmit">{{ $t("common.iquery") }}</el-button>
          <el-button @click="onEmpty('formData1')">{{
            $t("common.empty")
          }}</el-button>
        </el-form-item>
      </el-form>
    </div>
    <!-- 表格显示 -->
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%">
        <el-table-column
          width="150"
          type="index"
          :label="$t('loglog.serialnumber')"
        />
        <el-table-column prop="name" :label="$t('loglog.coverage')" />
        <el-table-column prop="ip" :label="$t('loglog.systematic')" />
        <el-table-column prop="loginaddress" :label="$t('loglog.ipadress')" />
        <el-table-column prop="browser" :label="$t('loglog.operationtime')" />
        <el-table-column
          prop="operatingsystem"
          :label="$t('loglog.operationtype')"
        />
        <el-table-column prop="state" :label="$t('loglog.operationStatus')" />
      </el-table>
      <!-- 分页 -->
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage4"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="9"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      form: {
        name: "",
        region: "",
        jurisdiction: "",
      },
      tableData: [],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log("submit!");
    },
    onEmpty(formData1) {
      this.$refs[formData1].resetFields()//重置表单数据
    }
  },
  created() { },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.logLog_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .inquire {
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
  }
  .table_box {
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
  .text-center {
    text-align: center;
  }
}
</style>
